//+------------------------------------------------------------------+
//|                                                  TwoOrdersV2.mq4 |
//|                                                         KermitFX |
//|                                               kermitfx@gmail.com |
//+------------------------------------------------------------------+
#property copyright "KermitFX"
#property link      "kermitfx@gmail.com"

//--- input parameters
extern double    lot=0.01;
extern int       sl=250;
extern int       tp=500;
extern int       pairs=2;
extern int       magic=123;

static int       to=0;
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
int totalorders()
  {
   int n=0;
   for (int i=0;i<OrdersTotal();i++)
      {
      OrderSelect(i,SELECT_BY_POS);
      if(OrderMagicNumber()==magic && OrderSymbol()==Symbol()) n++;
      }
   return(n);
  }
//+------------------------------------------------------------------+
int opennew(int n)
  {
   double sls=Ask+sl*Point;
   double slb=Ask-sl*Point;
   double tps=Bid-tp*Point;
   double tpb=Bid+tp*Point;
   
   for (int i=0;i<n;i++)
      {
      RefreshRates();
      OrderSend(Symbol(),OP_BUY,lot,Ask,10,slb,tpb,NULL,magic,0,CLR_NONE);
      OrderSend(Symbol(),OP_SELL,lot,Bid,10,sls,tps,NULL,magic,0,CLR_NONE);
      to=to+2;
      }
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
   int delta;
   
   
   
   if(totalorders()<to) 
      {
      delta=to-totalorders();
      to=totalorders();
      opennew(delta);
      }
   if(totalorders()==0) opennew(pairs);
   
   Comment(to);
   return(0);
  }
//+------------------------------------------------------------------+